#!/bin/sh

# /edx/PGM.LOG.SUM
# 1 - terminal
# 2 - program
# 3 - last used
# 4 - count

# Find out which programs are used most often.
# Ouput summary of programs and their total counts ordered by total counts.
sql -u <<EOF
select a.#1,a.#2
from (select b.#2,sum(b.#4) from "/edx/PGM.LOG.SUM" b group by b.#2) a
order by a.#2,a.#1
;
EOF
