#!/bin/sh
usage() {
cat <<EOF
Usage: armenu Screen_Directory Screen_File
Example:
  armenu %BTGL %MAIN
EOF
}

test $# -lt 2 && usage && exit 1
tmpdir=menu$$
#trap "BTASDIR=/tmp btutil 'un $tmpdir/*' >/dev/null 2>&1 ; \
#      BTASDIR=/tmp btutil 'de $tmpdir/*' >/dev/null 2>&1 ; \
#      BTASDIR=/tmp btutil 'de $tmpdir' >/dev/null 2>&1 " 0 1 2 3 15

BTASDIR=/tmp btutil "cr $tmpdir"
BTASDIR=/tmp/$tmpdir
export BTASDIR

scrndir=$1
mscrn=$2
sql -q 2>/dev/null <<EOF

// create header file
insert into "header"
select '$scrndir','$mscrn',sysname,sysuid,sysgid,systime from system;

// create menu options file
insert into "$mscrn"
select * from "/edx/MENU.FILE"
where #1 = '$mscrn'
;

// create menu screen file
insert into "$mscrn.s"
select * from "/edx/$scrndir/$mscrn"
;
EOF

# archive header,options,and screen
if btutil "ar * $mscrn.bta" 2>/dev/null
then
  echo "Menu Archive $mscrn.bta created"
  btutil "de header $mscrn*" "se .." "de $tmpdir" >/dev/null 2>&1
fi


