#!/bin/sh
usage() {
cat <<EOF
Usage: cpmenu from_menu to_menu [default_dir]
Desc:  Copy a menu to another, optionally changing the default directory.

Example: cpmenu %MAIN %%MAIN TEST
EOF
}

test $# -lt 2 && usage && exit 1

defdir='#5'

test $# -gt 2  && defdir="'$3'"

sql <<EOF
insert into "/edx/MENU.FILE"
select '$2',#2,#3,#4,$defdir,#6,#7 from "/edx/MENU.FILE"
where #1 = '$1';
EOF
