#!/bin/sh

usage() {
cat <<EOF
Usage: rmmenu [-u] menu_screen [menu_option]
Description: Moves /edx/MENU.FILE options to /edx/MENU.REMOVED.
Examples: rmmenu %OXRPT 58	# deletes option 58 from %OXRPT menu
          rmmenu -u %OXRPT 58	# undeletes option 58
          rmmenu %OXRPT		# deletes a menu
	  rmmenu -u %OXRPT	# undeletes a menu
EOF
exit 1
}

test $# -eq 0 && usage

FROM=/edx/MENU.FILE
TO=/edx/MENU.REMOVED

case "$1" in
-u) FROM=/edx/MENU.REMOVED; TO=/edx/MENU.FILE; shift;;
esac

test $# -eq 0 && usage

scrn="$1"
opt2=""
test $# -eq 2 && opt2="and #2 = '$2'"

sql -u <<EOF
insert into "$TO"
select * from "$FROM" where #1 = '$scrn'
$opt2
;

delete from "$FROM" where #1 = '$scrn'
$opt2
;
EOF
